# -*- coding: utf-8 -*-
#
# This file is part of CERN Document Server.
# Copyright (C) 2015 CERN.
#
# Invenio is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# Invenio is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Invenio; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

"""Album model."""

from dojson.contrib.to_marc21.model import Underdo

from ...overdo import Overdo
from .default import model as cds_to_marc21


class CDSToAlbum(Overdo, Underdo):
    """Translation Index for CDS Albums."""

    __query__ = 'record_type.record_type:ALBUM'

model = CDSToAlbum(bases=(cds_to_marc21, ),
                   entry_point_group='cds_dojson.to_marc21.album')
